Debian Bug report logs - #115787
apt-get downgrade

version graph

Package: apt; Maintainer for apt is APT Development Team <deity@lists.debian.org>; Source for apt is src:apt.

Reported by: Nikolaus Rath <Nikolaus@rath.org>

Date: Tue, 16 Oct 2001 11:03:06 UTC

Severity: wishlist

Merged with 94164, 95427, 158372

Found in versions 0.5.3, 0.5.4

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to APT Development Team <deity@lists.debian.org>:
Bug#115787; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Nikolaus Rath <Nikolaus@rath.org>:
New Bug report received and forwarded. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Nikolaus Rath <Nikolaus@rath.org>
To: Debian Bug Tracking System <maintonly@bugs.debian.org>
Subject: apt-get downgrade
Date: Tue, 16 Oct 2001 12:48:24 +0200
Package: apt
Version: 0.5.4
Severity: wishlist

Hello!

I would love a apt-get downgrade command. It should downgrade all (or
only the given) packages to the highest avaible version.

Very usefull if you tried XFree 4.1 and want to return to 4.0, but
don't know which packages have been upgraded. In the moment i must
compare Packages.gz by hand, with apt-get downgrade it would be enough
to delete the XFree 4.1 line from sources.list.

-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux nikratio 2.2.18 #1 Mon Sep 10 22:55:45 CEST 2001 i686
Locale: LANG=C, LC_CTYPE=de_DE

Versions of packages apt depends on:
ii  libc6                  2.2.4-3           GNU C Library: Shared libraries an
ii  libstdc++2.10-glibc2.2 1:2.95.4-0.010902 The GNU stdc++ library





Merged 95427 115787. Request was from Robert Millan <zeratul2@wanadoo.es> to control@bugs.debian.org. Full text and rfc822 format available.

Disconnected #95427 from all other report(s). Request was from Zack Weinberg <zack@codesourcery.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 95427 115787. Request was from Zack Weinberg <zack@codesourcery.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 94164 95427 115787. Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 94164 95427 115787 158372. Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#115787; Package apt. Full text and rfc822 format available.

Acknowledgement sent to "Dr. Andreas Krüger" <andreas.krueger@dv-ratio.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 115787@bugs.debian.org (full text, mbox):

From: "Dr. Andreas Krüger" <andreas.krueger@dv-ratio.com>
To: control@bugs.debian.org, 115787@bugs.debian.org, security@debian.org, deity@lists.debian.org
Cc: 267880@bugs.debian.org
Subject: Need "apt-get dist-downgrade" or similar when Sarge comes out.
Date: Thu, 23 Sep 2004 14:12:21 +0200
[Message part 1 (text/plain, inline)]
tags 115787 + sarge
thank you, control@bugs.debian.org

By the time Sarge comes out officially, some packages will have been removed 
from Sarge, that, at some point in time, have been a part of Sarge.  For a 
(likely) example, see bug 267880 of apt-proxy, i.e., 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=267880 .

Personally, I really look forward to the official release of Sarge.  E.g., 
there's this Sarge server waiting to be put into official production.  One of 
the things I look forward to as a really valuable service is, the Debian 
security team's full coverage of the software I use.

Previously, I had hoped that the release of Sarge by Debian, and a subsequent

   apt-get dist-upgrade

by myself, will eventually result in a stable, security-team-covered system.

I'm not so sure about that any more.

E.g., the team will surely not cover apt-proxy, obscure version 1.9.17, just 
because that version has, at one point, been part of Sarge.  On the other hand, 
apt-get is not likely to downgrade apt-proxy from 1.9.17 to 1.3.6 (assuming that 
version makes it into the stable Sarge release).

In my opinion, the general feature wishlisted by bug 115787 would really come in 
handy. See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=115787 (and its 
merged equivalents) for details. (I'm not sure that it'll help much, given the 
bug's humble "wishlist" priority, but I have taken the liberty to tag that bug 
"sarge".)

Bug 158372 is one of the merge-syblings of 115787.  At that bug, Jason Gunthorpe 
commented, some two years ago, that the required functionalty will not be 
provided as a feature of apt.

If that has not changed in the meantime, I would like to ask Debian to clearly 
announce what else can be done by a Debian Sarge user to "stabilize" her 
machine. In essence,

"After dist-upgrade from Woody (stable) to Sarge (stable), you have software 
that is covered by the security team.  To achive the same effect, Sarge 
(testing) users need to do XXX, to change their machines to Sarge (stable)."

I very much hope there will be a better solution for "XXX", besides the obvious 
"fdisk/mkfs/reinstall".  If so, I have not yet found it documented in any of the 
obvious places.

Regards, and thank you for providing fine software,

Andreas Krüger
-- 
Dr. Andreas Krüger, andreas.krueger@dv-ratio.com
GPG/PGP Fingerprint 8063 4A9B 362D 4220 A546  14C1 EA19 AADC FD44 5EB7
DV-RATIO Nordwest GmbH, Tel.: +49 211 577 996-0, Fax:  +49 211 559 1617
Leostraße 31, 40545 Düsseldorf, Germany
[signature.asc (application/pgp-signature, attachment)]

Tags added: sarge Request was from "Dr. Andreas Krüger" <andreas.krueger@dv-ratio.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: sarge Request was from kurt@roeckx.be (Kurt Roeckx) to control@bugs.debian.org. (Thu, 11 Sep 2008 16:51:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:07:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.